--- a/updateminiupnpcstrings.sh	2023-08-23 17:42:05.225106104 -0700
+++ b/updateminiupnpcstrings.sh	2023-08-23 17:50:42.605604311 -0700
@@ -26,21 +26,10 @@
 	OS_VERSION=`cat /etc/debian_version`
 fi
 
-# use lsb_release (Linux Standard Base) when available
-LSB_RELEASE=`which lsb_release`
-if [ 0 -eq $? -a -x "${LSB_RELEASE}" ]; then
-	# On NixOS, lsb_release returns strings such as "NixOS" (with quotes),
-	# so we need to stript them with the following xargs trick:
-	OS_NAME=`${LSB_RELEASE} -i -s | xargs echo`
-	OS_VERSION=`${LSB_RELEASE} -r -s | xargs echo`
-	case $OS_NAME in
-		Debian)
-			#OS_VERSION=`${LSB_RELEASE} -c -s`
-			;;
-		Ubuntu)
-			#OS_VERSION=`${LSB_RELEASE} -c -s`
-			;;
-	esac
+# Slackware specific stuff.
+if [ -f /etc/slackware-version ]; then
+	OS_NAME=`cat /etc/slackware-version | cut -d' ' -f1`
+	OS_VERSION=`cat /etc/slackware-version | cut -d' ' -f2`
 fi
 
 # on AmigaOS 3, uname -r returns "unknown", so we use uname -v
